Pengguna Android ini mungkin perlu mengganti ponsel mereka untuk menjelajah internet dengan lancar

Pengguna Android ini mungkin perlu mengganti ponsel mereka untuk menjelajah internet dengan lancar

Keluaran Hongkong

Jika Anda masih menggunakan ponsel Android lama yang menjalankan Android versi 7.1 atau lebih rendah, Anda mungkin perlu meningkatkan. Ini karena Anda tidak akan dapat lagi menjelajahi Internet lancar di ponsel Anda karena masalah kompatibilitas. Salah satu otoritas sertifikat terkemuka – Let’s Encrypt – telah mengumumkan bahwa kemitraannya dengan Otoritas Sertifikat IdenTrust yang menandatangani silang sertifikat Let’s Encrypt akan kedaluwarsa pada 1 September 2021.
Jadi, mengapa ini menjadi masalah? Let’s Encrypt diluncurkan lima tahun lalu dan mereka mengandalkan kemitraannya dengan IdenTrust untuk tanda tangan silang. “Ketika Otoritas Sertifikat (CA) baru muncul, ia menghadapi teka-teki: Agar berguna bagi orang-orang, ia membutuhkan sertifikat akarnya agar dipercaya oleh berbagai sistem operasi (OS) dan browser,” tegas menjelaskan dalam posting blog.
Tetapi sistem operasi dan browser internet membutuhkan waktu bertahun-tahun untuk “menerima sertifikat root baru”. Solusi umum: CA baru akan sering meminta tanda silang dari CA yang sudah ada dan tepercaya, agar dengan cepat dipercaya oleh banyak perangkat, tambah perusahaan. Inilah mengapa kemitraan itu penting.
Sekarang, dalam rentang lima tahun, Let’s Encrypt telah menjadi pemain utama dan sertifikatnya digunakan oleh sekitar 30% dari semua domain web, sesuai dengan Android Police.
Itu Sertifikat ISRG Root X1 oleh Let’s Encrypt telah ditandatangani silang oleh sertifikat root DST Root X3 IdenTrust untuk sementara waktu. “Sekarang, platform perangkat lunak tersebut telah mempercayai sertifikat root kami selama bertahun-tahun. Dan sertifikat akar DST Root X3 yang kami andalkan untuk membantu kami akan kedaluwarsa – pada 1 September 2021. Untungnya, kami siap untuk berdiri sendiri, dan hanya mengandalkan sertifikat akar kami sendiri, ” itu menambahkan.
Masalahnya adalah beberapa software yang belum diupdate sejak 2016 masih belum mendukung ISRG Root X1. Ini termasuk versi Android sebelum 7.1.1. “Itu berarti versi Android yang lebih lama tidak lagi mempercayai sertifikat yang dikeluarkan oleh Let’s Encrypt,” katanya.
Karena perangkat lama tidak akan mempercayai sertifikat, domain web yang menggunakan ISRG Root X1 tidak akan kompatibel pada perangkat yang menjalankan versi Android yang lebih lama dan Anda tidak akan dapat memuatnya.
Ada satu perbaikan cepat yang dapat menyelesaikan masalah bagi pengguna ponsel Android lama. Menginstal Firefox Mobile, yang mendukung Android 5.0 ke atas, dapat membantu memecahkan masalah tetapi tidak untuk waktu yang lama.
“Untuk peramban bawaan ponsel Android, daftar sertifikat dasar tepercaya berasal dari sistem operasi – yang kedaluwarsa pada ponsel lama ini. Namun, Firefox saat ini unik di antara browser – ia dikirimkan dengan daftar sertifikat dasar tepercaya sendiri. Jadi, siapa pun yang menginstal versi Firefox terbaru mendapatkan manfaat dari daftar tepercaya yang terbaru otoritas sertifikat, meski sistem operasinya sudah usang, ”jelasnya.